<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__common__api" kind="group">
    <compoundname>group_ble_common_api</compoundname>
    <title>BLE Common API</title>
    <innergroup refid="group__group__ble__common__api__functions">BLE Common Core Functions</innergroup>
    <innergroup refid="group__group__ble__common__api__gap__functions__section">GAP Functions</innergroup>
    <innergroup refid="group__group__ble__common__api__gatt__functions__section">GATT Functions</innergroup>
    <innergroup refid="group__group__ble__common__api__l2cap__functions">L2CAP Functions</innergroup>
    <innergroup refid="group__group__ble__common__api__events">BLE Common Events</innergroup>
    <innergroup refid="group__group__ble__common__api__definitions__section">BLE Common Definitions and Data Structures</innergroup>
    <innergroup refid="group__group__ble__common__api__global__variables">Global Variables</innergroup>
    <briefdescription>
<para>The common API act as a general interface between the BLE application and the BLE Stack module. </para>    </briefdescription>
    <detaileddescription>
<para>The application may use these API to control the underlying hardware such as radio power, data encryption and device bonding via the stack. It may also access the GAP, GATT and L2CAP layers of the stack. These are divided into the following categories:<itemizedlist>
<listitem><para><ref kindref="compound" refid="group__group__ble__common__api__functions">BLE Common Core Functions</ref></para></listitem><listitem><para><ref kindref="compound" refid="group__group__ble__common__api__gap__functions__section">GAP Functions</ref></para></listitem><listitem><para><ref kindref="compound" refid="group__group__ble__common__api__gatt__functions__section">GATT Functions</ref></para></listitem><listitem><para><ref kindref="compound" refid="group__group__ble__common__api__l2cap__functions">L2CAP Functions</ref></para></listitem></itemizedlist>
</para><para>These API also use API specific definitions and data structures. These are classified in the following subset:<itemizedlist>
<listitem><para><ref kindref="compound" refid="group__group__ble__common__api__definitions">Common</ref> </para></listitem></itemizedlist>
</para>    </detaileddescription>
  </compounddef>
</doxygen>